using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace Kav
{
    public struct Sprite
    {
        public Texture2D Texture { get; }
        public Vector3 Position { get; }
        public Vector2 Origin { get; }
        public float Rotation { get; }
        public Vector2 Scale { get; }

        public Sprite(
            Texture2D texture,
            Vector3 position,
            Vector2 origin,
            float rotation,
            Vector2 scale
        ) {
            Texture = texture;
            Position = position;
            Origin = origin;
            Rotation = rotation;
            Scale = scale;
        }

        public Sprite(
            Texture2D texture,
            Vector3 position
        ) {
            Texture = texture;
            Position = position;
            Origin = Vector2.Zero;
            Rotation = 0f;
            Scale = Vector2.One;
        }
    }
}
